Bug 2153055 (CVE-2022-3110) - CVE-2022-3110 kernel: r8188eu: NULL pointer dereference in rtw_alloc_hwxmits()
Summary: CVE-2022-3110 kernel: r8188eu: NULL pointer dereference in rtw_alloc_hwxmits()
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-3110
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2153051
TreeView+ depends on / blocked
 
Reported: 2022-12-13 21:56 UTC by Sage McTaggart
Modified: 2023-07-11 18:10 UTC (History)
45 users (show)

Fixed In Version: kernel 5.19-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-12 19:01:01 UTC
Embargoed:


Attachments (Terms of Use)

Description Sage McTaggart 2022-12-13 21:56:19 UTC
[Suggested description]
An issue was discovered in the Linux kernel through 5.16-rc6.
_rtw_init_xmit_priv in drivers/staging/r8188eu/core/rtw_xmit.c lacks
check of the return value of rtw_alloc_hwxmits() and will cause the
null pointer dereference.

------------------------------------------

[VulnerabilityType Other]
NULL Pointer Dereference

------------------------------------------

[Vendor of Product]
the development group

------------------------------------------

[Affected Product Code Base]
Linux kernel - 5.16-rc6

------------------------------------------

[Reference]
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?h=v5.19-rc2&id=f94b47c6bde624d6c07f43054087607c52054a95

------------------------------------------

[Discoverer]
Jiasheng Jiang

Comment 4 Mauro Matteo Cascella 2023-06-12 08:35:04 UTC
Upstream commit:
https://github.com/torvalds/linux/commit/f94b47c6bde624d6c07f43054087607c52054a95

Comment 5 Product Security DevOps Team 2023-06-12 19:00:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-3110


Note You need to log in before you can comment on or make changes to this bug.